petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawHGGetDraw

Gets the draw context associated with a histogram.

### Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawHGGetDraw(PetscDrawHG hist,PetscDraw *draw)

Not Collective, PetscDraw is parallel if PetscDrawHG is parallel

### Input Parameter

hist -The histogram context

### Output Parameter

draw -The draw context

### See Also

PetscDrawHGCreate(), PetscDrawHGAddValue(), PetscDrawHGView(), PetscDrawHGDraw(), PetscDrawHGSetColor(), PetscDrawAxis, PetscDrawHGSetLimits()

### Level

intermediate

### Location

src/sys/classes/draw/utils/hists.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages